Bug 800621 - mount.cifs uid,gid parameters no longer recognize username, only numeric id
mount.cifs uid,gid parameters no longer recognize username, only numeric id
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: cifs-utils (Show other bugs)
16
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jeff Layton
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-06 14:46 EST by Chad Feller
Modified: 2014-06-18 03:42 EDT (History)
3 users (show)

See Also:
Fixed In Version: cifs-utils-5.3-2.fc16
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-03-30 23:01:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chad Feller 2012-03-06 14:46:57 EST
Description of problem:
Upon calling mount.cifs, uid=<username>,gid=<username> no longer works, and filesystem is mounted as owned by root.

Unmounting and remounting with mount.cifs uid=<user_numeric_id>, gid=<user_numeric_id> works, however

Version-Release number of selected component (if applicable):
cifs-utils-5.3-1.fc16.x86_64

How reproducible:
always

Steps to Reproduce:
1. attempt to mount a filesystem with username as parameters to uid and gid
2.
3.
  
Actual results:
filesystem is mounted as owned by root

Expected results:
filesystem is mounted with username as owner

Additional info:
uid=username,gid=username has worked for some time (in previous fedora releases for quite some time), so something seems to broken here in the current version.
Comment 1 Fedora Update System 2012-03-19 13:33:59 EDT
cifs-utils-5.3-2.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/cifs-utils-5.3-2.fc16
Comment 2 Fedora Update System 2012-03-20 22:40:47 EDT
Package cifs-utils-5.3-2.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing cifs-utils-5.3-2.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-4337/cifs-utils-5.3-2.fc16
then log in and leave karma (feedback).
Comment 3 Chad Feller 2012-03-21 13:23:13 EDT
update seems to fix it.  thanks!

left feedback at admin.fedoraproject.org/updates
Comment 4 Fedora Update System 2012-03-30 23:01:47 EDT
cifs-utils-5.3-2.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.